/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Projection and Thalamic Fibers
 */
public enum EnumCV_ProjectionandThalamicFibers {

	//Projection and Thalamic Fibers - CID 7702
	CORTICOBULBAR_TRACT_1319("1319"),
	CORTICOSPINAL_TRACT_1320("1320"),
	INTERNAL_CAPSULE_T_A3700("T-A3700"),
	EXTERNAL_CAPSULE_T_A3800("T-A3800"),
	AUDITORY_ACOUSTIC_RADIATION_GENICULOTEMPORAL_TRACT_T_D0829("T-D0829"),
	OPTIC_RADIATION_GENICULO_CALCARINE_TRACT_GENICULOSTRIATE_PATHWAY_T_A2880("T-A2880"),
	INFERIOR_OPTIC_RADIATION_MEYERS_LOOP_1466("1466"),
	SUPERIOR_OPTIC_RADIATION_BAUMS_LOOP_3473("3473"),
	ANTERIOR_THALAMIC_RADIATION_1726("1726"),
	SUPERIOR_THALAMIC_RADIATION_2081("2081"),
	INFERIOR_THALAMIC_RADIATION_2082("2082"),
	POSTERIOR_THALAMIC_RADIATION_2083("2083");

	private String value;

	EnumCV_ProjectionandThalamicFibers(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
